<?xml version="1.0" encoding="UTF-8"?>
<rmml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="L:\collaborative-nir\program\Cscl3DWS\rmml\RMML.xsd">
	<!-- Композиция одной связи: 1, 2, 3 -->
	<composition name="CTableLink" depth="-100">
		<image name="oLink" class="CHintImage">
			<script event="onPress">
				this.parent.handleOnPress();
			</script>
			<script event="onRelease">
				this.parent.handleOnRelease();
			</script>
			<script event="onReleaseOutside">
				this.parent.handleOnRelease();
			</script>
			<script>
				this.hint = "Some help text!";
			</script>
		</image>
		<!-- Композиция таскаемой связи: 1, 2, 3 -->
		<composition name="dragElement" _class="CDraggableComposition" visible="false" enabled="false">
			<image name="oLink"/>
		</composition>
		<script>
			this.linkType=1;
			this.workspace=null;
			function setType(atype)
			{
				this.linkType = atype;
				this.oLink.src = KM2DRESPATH + "link"+this.linkType+".png";
				this.dragElement.oLink.src = KM2DRESPATH + "link"+this.linkType+".png";
			}
			function handleOnPress()
			{
				this.dragElement.x = 0;
				this.dragElement.y = 0;
				this.dragElement.visible = true;
				this.dragElement.stick( true);
				if( this.workspace != null)
				{
					this.workspace.handleDragLinkPress( this);
				}
			}
			function handleOnRelease()
			{
				this.dragElement.visible = false;
				this.dragElement.stick( false);
				if( this.workspace != null)
				{
					this.workspace.handleDragLinkRelease( this);
				}
			}
		</script>
	</composition>
</rmml>